/*
 * Class ITERATION_CURSOR [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_681 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_681 [] = {0xFF01,237,680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_681 [] = {0xFF01,680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_681 [] = {0xFF01,680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_681 [] = {0xFF01,680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_681 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_681 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_681 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_681 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_681 [] = {680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_681 [] = {0xFF01,680,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_681 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_681 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_681[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_681), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_681), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_681), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_681), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_681), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_681), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_681), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_681), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_681), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_681), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_681), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_681), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_681), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_681), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_681), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_681), -1, 0xFFFFFFFF},
};
void Init681(void)
{
	IDSC(desc_681, 0, 680);
	IDSC(desc_681 + 1, 1, 680);
	IDSC(desc_681 + 32, 245, 680);
}


#ifdef __cplusplus
}
#endif
